# Bump when date/snapshot changes
%define mainrel 1
%define date    20160218
# Bump for rebuild of same snapshot
%define rel 6

Name:           libdbusmenu-qt
Version:        0.9.3
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        Qt implementation of the DBusMenu spec
Group:          System/Libraries
License:        GPLv2
URL:            https://launchpad.net/libdbusmenu-qt
Source0:        %{name}-%{version}+%{date}.tar.xz
Patch0:         libdbusmenu-qt-fix-pkgconfig-libdir-path.patch

BuildRequires:  cmake
BuildRequires:  doxygen

BuildRequires:  kde4-macros
BuildRequires:  pkgconfig(QJson)
BuildRequires:  pkgconfig(QtCore)

BuildRequires:  kf5-rpm-macros
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
This library provides a Qt implementation of the DBusMenu spec.

#-----------------------------------------------------------------------

%define libname_major 2
%define libname %mklibname dbusmenu-qt %{libname_major}

%package -n %{libname}
Summary:        Qt implementation of the DBUSMenu Spec
Group:          System/Libraries

%description -n %{libname}
Qt implementation of the DBUSMenu Spec.


%files -n %{libname}
%{_libdir}/libdbusmenu-qt.so.%{libname_major}{,.*}

#--------------------------------------------------------------------

%define develname %mklibname dbusmenu-qt -d

%package -n %{develname}
Summary:    Library headers for %{name}
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}

%description -n	%{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n	%{develname}
%{_libdir}/libdbusmenu-qt.so
%{_includedir}/dbusmenu-qt/
%{_libdir}/pkgconfig/dbusmenu-qt.pc
%{_kde_libdir}/cmake/dbusmenu-qt
%doc %{_datadir}/doc/libdbusmenu-qt-doc

#--------------------------------------------------------------------

%define dbusmenuqt5_major 2
%define libdbusmenuqt5 %mklibname dbusmenu-qt5_ %{dbusmenuqt5_major}

%package -n %{libdbusmenuqt5}
Summary:        A Qt implementation of the DBusMenu protocol (Qt5 version)
Group:          System/Libraries
Requires:       nss_mdns

%description -n %{libdbusmenuqt5}
This library provides a Qt implementation of the DBusMenu protocol.

The DBusMenu protocol makes it possible for applications to export and import
their menus over DBus.

%files -n %{libdbusmenuqt5}
%{_kf5_libdir}/libdbusmenu-qt5.so.%{dbusmenuqt5_major}{,.*}

#--------------------------------------------------------------------

%define dbusmenuqt5_devel %mklibname dbusmenu-qt5 -d

%package -n %{dbusmenuqt5_devel}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libdbusmenuqt5} = %{version}-%{release}
Provides:       %{name}5-devel = %{version}-%{release}

%description -n %{dbusmenuqt5_devel}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%files -n %{dbusmenuqt5_devel}
%{_includedir}/dbusmenu-qt5/
%{_kf5_libdir}/libdbusmenu-qt5.so
%{_kf5_libdir}/pkgconfig/dbusmenu-qt5.pc
%{_kf5_libdir}/cmake/dbusmenu-qt5/

#-----------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-%{version}+%{date}

%build
%global _vpath_srcdir ..

mkdir %name-qt4
pushd %name-qt4
%cmake_qt4 \
  -DUSE_QT4:BOOL=ON \
  -DUSE_QT5:BOOL=OFF \
  -DWITH_DOC:BOOL=ON
%cmake_build
popd

mkdir %name-qt5
pushd %name-qt5
%cmake_kf5 \
  -DUSE_QT4:BOOL=OFF \
  -DUSE_QT5:BOOL=ON \
  -DWITH_DOC:BOOL=OFF
%cmake_build
popd

%install
%make_install -C %{name}-qt4/%{_vpath_builddir}
%make_install -C %{name}-qt5/%{_vpath_builddir}


%changelog
* Mon Apr 10 2023 daviddavid <daviddavid> 0.9.3-1.20160218.6.mga9
+ Revision: 1951889
- add patch to fix pkgconfig libdir path
- split out all Qt5 BRs

* Mon Apr 04 2022 umeabot <umeabot> 0.9.3-1.20160218.5.mga9
+ Revision: 1843083
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.9.3-1.20160218.4.mga8
+ Revision: 1524748
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.9.3-1.20160218.3.mga7
+ Revision: 1383047
- Qt5 Rebuild

* Sun Dec 02 2018 daviddavid <daviddavid> 0.9.3-1.20160218.2.mga7
+ Revision: 1337414
- Mageia 7 Mass Rebuild

* Sun Mar 12 2017 akien <akien> 0.9.3-1.20160218.1.mga7
+ Revision: 1092184
- Version 0.9.3+16.04.20160218 from Ubuntu (as always great upstream on launchpad)
- Rename qt5 library from libdbusmenuqt5 to libdbusmenu-qt5

* Mon Dec 14 2015 neoclust <neoclust> 0.9.3-0.20150604bzr.4.mga6
+ Revision: 910266
- Fix provide of qt5 package

* Sat Nov 14 2015 neoclust <neoclust> 0.9.3-0.20150604bzr.3.mga6
+ Revision: 903109
- Add obsolete to ease update

* Mon Nov 09 2015 neoclust <neoclust> 0.9.3-0.20150604bzr.2.mga6
+ Revision: 900177
- Fix lib package name

* Mon Nov 09 2015 neoclust <neoclust> 0.9.3-0.20150604bzr.1.mga6
+ Revision: 900176
- New snapshot 0.9.3-20150604bzr

* Wed Oct 15 2014 umeabot <umeabot> 0.9.2-5.mga5
+ Revision: 744711
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.2-4.mga5
+ Revision: 681403
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.2-3.mga4
+ Revision: 506954
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.2-2.mga3
+ Revision: 356953
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 fwang <fwang> 0.9.2-1.mga3
+ Revision: 257515
- new version 0.9.2

* Wed Sep 07 2011 mikala <mikala> 0.9.0-1.mga2
+ Revision: 140496
- Update tarball to 0.9.0

* Sat Jun 25 2011 mikala <mikala> 0.8.3-1.mga2
+ Revision: 113654
- Update tarball to 0.8.3

* Thu Jan 13 2011 mikala <mikala> 0.6.6-2.mga1
+ Revision: 15909
- imported package libdbusmenu-qt


* Thu Jan 13 2011 John Balcaen <balcaen.john@gmail.com> 0.6.6-2mga1
- Fix spec layout to follow kde's mageia policy

* Tue Jan 04 2011 John Balcaen <mikala@mandriva.org> 0.6.6-1mdv2011.0
+ Revision: 628442
- Update to 0.6.6

* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 0.6.4-1mdv2011.0
+ Revision: 602230
- new version 0.6.4

* Tue Sep 14 2010 John Balcaen <mikala@mandriva.org> 0.6.2-1mdv2011.0
+ Revision: 578128
- Update to 0.6.2

* Thu Jul 22 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.3.5-1mdv2011.0
+ Revision: 556954
- Fix typo
- Fix source

  + John Balcaen <mikala@mandriva.org>
    - Update to 0.3.5
    - Update URL & Source0

* Sat Mar 13 2010 John Balcaen <mikala@mandriva.org> 0.3.0-1mdv2010.1
+ Revision: 518771
- import libdbusmenu-qt


